%% efface la figure 
clf 
%% 
% Calcule les rayons 
mainsh 
% Trace les rayons 
traceray 
% Calcule HJ 
mainhj
% conserve les rayons 
hold on  
%% trace les isovaleurs de psi (fronts)
%% nombre de fronts 
nf=10 ; 
%% isovaleurs 
minf=min(min(psi)); 
maxf=max(max(psi)); 
difm=(maxf-minf)/(nf-1); 
iso=[minf:difm:maxf]; 
%% dessine les contours
contour(xx,tspan,psi,iso)
xlabel('x');
ylabel('t');
title('isophases (fronts) + rayons '); 
colorbar 
hold off 